Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network72.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
72.0.0.0
Broadcast address
72.255.255.255
First usable
72.0.0.1
Last usable
72.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 48000000 · Integer 1207959552 to 1224736767
Reverse DNS zone
72.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001000..00000000.00000000.0000000072.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01001000..00000000.00000000.0000000072.0.0.0
Broadcast01001000..11111111.11111111.1111111172.255.255.255
Split into smaller subnets/20

72.0.0.0/8 makes 4,096 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
172.0.0.0/2072.0.0.1 to 72.0.15.25472.0.15.2554,094
272.0.16.0/2072.0.16.1 to 72.0.31.25472.0.31.2554,094
372.0.32.0/2072.0.32.1 to 72.0.47.25472.0.47.2554,094
472.0.48.0/2072.0.48.1 to 72.0.63.25472.0.63.2554,094
572.0.64.0/2072.0.64.1 to 72.0.79.25472.0.79.2554,094
672.0.80.0/2072.0.80.1 to 72.0.95.25472.0.95.2554,094
772.0.96.0/2072.0.96.1 to 72.0.111.25472.0.111.2554,094
872.0.112.0/2072.0.112.1 to 72.0.127.25472.0.127.2554,094
972.0.128.0/2072.0.128.1 to 72.0.143.25472.0.143.2554,094
1072.0.144.0/2072.0.144.1 to 72.0.159.25472.0.159.2554,094
1172.0.160.0/2072.0.160.1 to 72.0.175.25472.0.175.2554,094
1272.0.176.0/2072.0.176.1 to 72.0.191.25472.0.191.2554,094
1372.0.192.0/2072.0.192.1 to 72.0.207.25472.0.207.2554,094
1472.0.208.0/2072.0.208.1 to 72.0.223.25472.0.223.2554,094
1572.0.224.0/2072.0.224.1 to 72.0.239.25472.0.239.2554,094
1672.0.240.0/2072.0.240.1 to 72.0.255.25472.0.255.2554,094
1772.1.0.0/2072.1.0.1 to 72.1.15.25472.1.15.2554,094
1872.1.16.0/2072.1.16.1 to 72.1.31.25472.1.31.2554,094
1972.1.32.0/2072.1.32.1 to 72.1.47.25472.1.47.2554,094
2072.1.48.0/2072.1.48.1 to 72.1.63.25472.1.63.2554,094
2172.1.64.0/2072.1.64.1 to 72.1.79.25472.1.79.2554,094
2272.1.80.0/2072.1.80.1 to 72.1.95.25472.1.95.2554,094
2372.1.96.0/2072.1.96.1 to 72.1.111.25472.1.111.2554,094
2472.1.112.0/2072.1.112.1 to 72.1.127.25472.1.127.2554,094
2572.1.128.0/2072.1.128.1 to 72.1.143.25472.1.143.2554,094
2672.1.144.0/2072.1.144.1 to 72.1.159.25472.1.159.2554,094
2772.1.160.0/2072.1.160.1 to 72.1.175.25472.1.175.2554,094
2872.1.176.0/2072.1.176.1 to 72.1.191.25472.1.191.2554,094
2972.1.192.0/2072.1.192.1 to 72.1.207.25472.1.207.2554,094
3072.1.208.0/2072.1.208.1 to 72.1.223.25472.1.223.2554,094
3172.1.224.0/2072.1.224.1 to 72.1.239.25472.1.239.2554,094
3272.1.240.0/2072.1.240.1 to 72.1.255.25472.1.255.2554,094
3372.2.0.0/2072.2.0.1 to 72.2.15.25472.2.15.2554,094
3472.2.16.0/2072.2.16.1 to 72.2.31.25472.2.31.2554,094
3572.2.32.0/2072.2.32.1 to 72.2.47.25472.2.47.2554,094
3672.2.48.0/2072.2.48.1 to 72.2.63.25472.2.63.2554,094
3772.2.64.0/2072.2.64.1 to 72.2.79.25472.2.79.2554,094
3872.2.80.0/2072.2.80.1 to 72.2.95.25472.2.95.2554,094
3972.2.96.0/2072.2.96.1 to 72.2.111.25472.2.111.2554,094
4072.2.112.0/2072.2.112.1 to 72.2.127.25472.2.127.2554,094
4172.2.128.0/2072.2.128.1 to 72.2.143.25472.2.143.2554,094
4272.2.144.0/2072.2.144.1 to 72.2.159.25472.2.159.2554,094
4372.2.160.0/2072.2.160.1 to 72.2.175.25472.2.175.2554,094
4472.2.176.0/2072.2.176.1 to 72.2.191.25472.2.191.2554,094
4572.2.192.0/2072.2.192.1 to 72.2.207.25472.2.207.2554,094
4672.2.208.0/2072.2.208.1 to 72.2.223.25472.2.223.2554,094
4772.2.224.0/2072.2.224.1 to 72.2.239.25472.2.239.2554,094
4872.2.240.0/2072.2.240.1 to 72.2.255.25472.2.255.2554,094
4972.3.0.0/2072.3.0.1 to 72.3.15.25472.3.15.2554,094
5072.3.16.0/2072.3.16.1 to 72.3.31.25472.3.31.2554,094
5172.3.32.0/2072.3.32.1 to 72.3.47.25472.3.47.2554,094
5272.3.48.0/2072.3.48.1 to 72.3.63.25472.3.63.2554,094
5372.3.64.0/2072.3.64.1 to 72.3.79.25472.3.79.2554,094
5472.3.80.0/2072.3.80.1 to 72.3.95.25472.3.95.2554,094
5572.3.96.0/2072.3.96.1 to 72.3.111.25472.3.111.2554,094
5672.3.112.0/2072.3.112.1 to 72.3.127.25472.3.127.2554,094
5772.3.128.0/2072.3.128.1 to 72.3.143.25472.3.143.2554,094
5872.3.144.0/2072.3.144.1 to 72.3.159.25472.3.159.2554,094
5972.3.160.0/2072.3.160.1 to 72.3.175.25472.3.175.2554,094
6072.3.176.0/2072.3.176.1 to 72.3.191.25472.3.191.2554,094
6172.3.192.0/2072.3.192.1 to 72.3.207.25472.3.207.2554,094
6272.3.208.0/2072.3.208.1 to 72.3.223.25472.3.223.2554,094
6372.3.224.0/2072.3.224.1 to 72.3.239.25472.3.239.2554,094
6472.3.240.0/2072.3.240.1 to 72.3.255.25472.3.255.2554,094
6572.4.0.0/2072.4.0.1 to 72.4.15.25472.4.15.2554,094
6672.4.16.0/2072.4.16.1 to 72.4.31.25472.4.31.2554,094
6772.4.32.0/2072.4.32.1 to 72.4.47.25472.4.47.2554,094
6872.4.48.0/2072.4.48.1 to 72.4.63.25472.4.63.2554,094
6972.4.64.0/2072.4.64.1 to 72.4.79.25472.4.79.2554,094
7072.4.80.0/2072.4.80.1 to 72.4.95.25472.4.95.2554,094
7172.4.96.0/2072.4.96.1 to 72.4.111.25472.4.111.2554,094
7272.4.112.0/2072.4.112.1 to 72.4.127.25472.4.127.2554,094
7372.4.128.0/2072.4.128.1 to 72.4.143.25472.4.143.2554,094
7472.4.144.0/2072.4.144.1 to 72.4.159.25472.4.159.2554,094
7572.4.160.0/2072.4.160.1 to 72.4.175.25472.4.175.2554,094
7672.4.176.0/2072.4.176.1 to 72.4.191.25472.4.191.2554,094
7772.4.192.0/2072.4.192.1 to 72.4.207.25472.4.207.2554,094
7872.4.208.0/2072.4.208.1 to 72.4.223.25472.4.223.2554,094
7972.4.224.0/2072.4.224.1 to 72.4.239.25472.4.239.2554,094
8072.4.240.0/2072.4.240.1 to 72.4.255.25472.4.255.2554,094
8172.5.0.0/2072.5.0.1 to 72.5.15.25472.5.15.2554,094
8272.5.16.0/2072.5.16.1 to 72.5.31.25472.5.31.2554,094
8372.5.32.0/2072.5.32.1 to 72.5.47.25472.5.47.2554,094
8472.5.48.0/2072.5.48.1 to 72.5.63.25472.5.63.2554,094
8572.5.64.0/2072.5.64.1 to 72.5.79.25472.5.79.2554,094
8672.5.80.0/2072.5.80.1 to 72.5.95.25472.5.95.2554,094
8772.5.96.0/2072.5.96.1 to 72.5.111.25472.5.111.2554,094
8872.5.112.0/2072.5.112.1 to 72.5.127.25472.5.127.2554,094
8972.5.128.0/2072.5.128.1 to 72.5.143.25472.5.143.2554,094
9072.5.144.0/2072.5.144.1 to 72.5.159.25472.5.159.2554,094
9172.5.160.0/2072.5.160.1 to 72.5.175.25472.5.175.2554,094
9272.5.176.0/2072.5.176.1 to 72.5.191.25472.5.191.2554,094
9372.5.192.0/2072.5.192.1 to 72.5.207.25472.5.207.2554,094
9472.5.208.0/2072.5.208.1 to 72.5.223.25472.5.223.2554,094
9572.5.224.0/2072.5.224.1 to 72.5.239.25472.5.239.2554,094
9672.5.240.0/2072.5.240.1 to 72.5.255.25472.5.255.2554,094
9772.6.0.0/2072.6.0.1 to 72.6.15.25472.6.15.2554,094
9872.6.16.0/2072.6.16.1 to 72.6.31.25472.6.31.2554,094
9972.6.32.0/2072.6.32.1 to 72.6.47.25472.6.47.2554,094
10072.6.48.0/2072.6.48.1 to 72.6.63.25472.6.63.2554,094
10172.6.64.0/2072.6.64.1 to 72.6.79.25472.6.79.2554,094
10272.6.80.0/2072.6.80.1 to 72.6.95.25472.6.95.2554,094
10372.6.96.0/2072.6.96.1 to 72.6.111.25472.6.111.2554,094
10472.6.112.0/2072.6.112.1 to 72.6.127.25472.6.127.2554,094
10572.6.128.0/2072.6.128.1 to 72.6.143.25472.6.143.2554,094
10672.6.144.0/2072.6.144.1 to 72.6.159.25472.6.159.2554,094
10772.6.160.0/2072.6.160.1 to 72.6.175.25472.6.175.2554,094
10872.6.176.0/2072.6.176.1 to 72.6.191.25472.6.191.2554,094
10972.6.192.0/2072.6.192.1 to 72.6.207.25472.6.207.2554,094
11072.6.208.0/2072.6.208.1 to 72.6.223.25472.6.223.2554,094
11172.6.224.0/2072.6.224.1 to 72.6.239.25472.6.239.2554,094
11272.6.240.0/2072.6.240.1 to 72.6.255.25472.6.255.2554,094
11372.7.0.0/2072.7.0.1 to 72.7.15.25472.7.15.2554,094
11472.7.16.0/2072.7.16.1 to 72.7.31.25472.7.31.2554,094
11572.7.32.0/2072.7.32.1 to 72.7.47.25472.7.47.2554,094
11672.7.48.0/2072.7.48.1 to 72.7.63.25472.7.63.2554,094
11772.7.64.0/2072.7.64.1 to 72.7.79.25472.7.79.2554,094
11872.7.80.0/2072.7.80.1 to 72.7.95.25472.7.95.2554,094
11972.7.96.0/2072.7.96.1 to 72.7.111.25472.7.111.2554,094
12072.7.112.0/2072.7.112.1 to 72.7.127.25472.7.127.2554,094
12172.7.128.0/2072.7.128.1 to 72.7.143.25472.7.143.2554,094
12272.7.144.0/2072.7.144.1 to 72.7.159.25472.7.159.2554,094
12372.7.160.0/2072.7.160.1 to 72.7.175.25472.7.175.2554,094
12472.7.176.0/2072.7.176.1 to 72.7.191.25472.7.191.2554,094
12572.7.192.0/2072.7.192.1 to 72.7.207.25472.7.207.2554,094
12672.7.208.0/2072.7.208.1 to 72.7.223.25472.7.223.2554,094
12772.7.224.0/2072.7.224.1 to 72.7.239.25472.7.239.2554,094
12872.7.240.0/2072.7.240.1 to 72.7.255.25472.7.255.2554,094
12972.8.0.0/2072.8.0.1 to 72.8.15.25472.8.15.2554,094
13072.8.16.0/2072.8.16.1 to 72.8.31.25472.8.31.2554,094
13172.8.32.0/2072.8.32.1 to 72.8.47.25472.8.47.2554,094
13272.8.48.0/2072.8.48.1 to 72.8.63.25472.8.63.2554,094
13372.8.64.0/2072.8.64.1 to 72.8.79.25472.8.79.2554,094
13472.8.80.0/2072.8.80.1 to 72.8.95.25472.8.95.2554,094
13572.8.96.0/2072.8.96.1 to 72.8.111.25472.8.111.2554,094
13672.8.112.0/2072.8.112.1 to 72.8.127.25472.8.127.2554,094
13772.8.128.0/2072.8.128.1 to 72.8.143.25472.8.143.2554,094
13872.8.144.0/2072.8.144.1 to 72.8.159.25472.8.159.2554,094
13972.8.160.0/2072.8.160.1 to 72.8.175.25472.8.175.2554,094
14072.8.176.0/2072.8.176.1 to 72.8.191.25472.8.191.2554,094
14172.8.192.0/2072.8.192.1 to 72.8.207.25472.8.207.2554,094
14272.8.208.0/2072.8.208.1 to 72.8.223.25472.8.223.2554,094
14372.8.224.0/2072.8.224.1 to 72.8.239.25472.8.239.2554,094
14472.8.240.0/2072.8.240.1 to 72.8.255.25472.8.255.2554,094
14572.9.0.0/2072.9.0.1 to 72.9.15.25472.9.15.2554,094
14672.9.16.0/2072.9.16.1 to 72.9.31.25472.9.31.2554,094
14772.9.32.0/2072.9.32.1 to 72.9.47.25472.9.47.2554,094
14872.9.48.0/2072.9.48.1 to 72.9.63.25472.9.63.2554,094
14972.9.64.0/2072.9.64.1 to 72.9.79.25472.9.79.2554,094
15072.9.80.0/2072.9.80.1 to 72.9.95.25472.9.95.2554,094
15172.9.96.0/2072.9.96.1 to 72.9.111.25472.9.111.2554,094
15272.9.112.0/2072.9.112.1 to 72.9.127.25472.9.127.2554,094
15372.9.128.0/2072.9.128.1 to 72.9.143.25472.9.143.2554,094
15472.9.144.0/2072.9.144.1 to 72.9.159.25472.9.159.2554,094
15572.9.160.0/2072.9.160.1 to 72.9.175.25472.9.175.2554,094
15672.9.176.0/2072.9.176.1 to 72.9.191.25472.9.191.2554,094
15772.9.192.0/2072.9.192.1 to 72.9.207.25472.9.207.2554,094
15872.9.208.0/2072.9.208.1 to 72.9.223.25472.9.223.2554,094
15972.9.224.0/2072.9.224.1 to 72.9.239.25472.9.239.2554,094
16072.9.240.0/2072.9.240.1 to 72.9.255.25472.9.255.2554,094
16172.10.0.0/2072.10.0.1 to 72.10.15.25472.10.15.2554,094
16272.10.16.0/2072.10.16.1 to 72.10.31.25472.10.31.2554,094
16372.10.32.0/2072.10.32.1 to 72.10.47.25472.10.47.2554,094
16472.10.48.0/2072.10.48.1 to 72.10.63.25472.10.63.2554,094
16572.10.64.0/2072.10.64.1 to 72.10.79.25472.10.79.2554,094
16672.10.80.0/2072.10.80.1 to 72.10.95.25472.10.95.2554,094
16772.10.96.0/2072.10.96.1 to 72.10.111.25472.10.111.2554,094
16872.10.112.0/2072.10.112.1 to 72.10.127.25472.10.127.2554,094
16972.10.128.0/2072.10.128.1 to 72.10.143.25472.10.143.2554,094
17072.10.144.0/2072.10.144.1 to 72.10.159.25472.10.159.2554,094
17172.10.160.0/2072.10.160.1 to 72.10.175.25472.10.175.2554,094
17272.10.176.0/2072.10.176.1 to 72.10.191.25472.10.191.2554,094
17372.10.192.0/2072.10.192.1 to 72.10.207.25472.10.207.2554,094
17472.10.208.0/2072.10.208.1 to 72.10.223.25472.10.223.2554,094
17572.10.224.0/2072.10.224.1 to 72.10.239.25472.10.239.2554,094
17672.10.240.0/2072.10.240.1 to 72.10.255.25472.10.255.2554,094
17772.11.0.0/2072.11.0.1 to 72.11.15.25472.11.15.2554,094
17872.11.16.0/2072.11.16.1 to 72.11.31.25472.11.31.2554,094
17972.11.32.0/2072.11.32.1 to 72.11.47.25472.11.47.2554,094
18072.11.48.0/2072.11.48.1 to 72.11.63.25472.11.63.2554,094
18172.11.64.0/2072.11.64.1 to 72.11.79.25472.11.79.2554,094
18272.11.80.0/2072.11.80.1 to 72.11.95.25472.11.95.2554,094
18372.11.96.0/2072.11.96.1 to 72.11.111.25472.11.111.2554,094
18472.11.112.0/2072.11.112.1 to 72.11.127.25472.11.127.2554,094
18572.11.128.0/2072.11.128.1 to 72.11.143.25472.11.143.2554,094
18672.11.144.0/2072.11.144.1 to 72.11.159.25472.11.159.2554,094
18772.11.160.0/2072.11.160.1 to 72.11.175.25472.11.175.2554,094
18872.11.176.0/2072.11.176.1 to 72.11.191.25472.11.191.2554,094
18972.11.192.0/2072.11.192.1 to 72.11.207.25472.11.207.2554,094
19072.11.208.0/2072.11.208.1 to 72.11.223.25472.11.223.2554,094
19172.11.224.0/2072.11.224.1 to 72.11.239.25472.11.239.2554,094
19272.11.240.0/2072.11.240.1 to 72.11.255.25472.11.255.2554,094
19372.12.0.0/2072.12.0.1 to 72.12.15.25472.12.15.2554,094
19472.12.16.0/2072.12.16.1 to 72.12.31.25472.12.31.2554,094
19572.12.32.0/2072.12.32.1 to 72.12.47.25472.12.47.2554,094
19672.12.48.0/2072.12.48.1 to 72.12.63.25472.12.63.2554,094
19772.12.64.0/2072.12.64.1 to 72.12.79.25472.12.79.2554,094
19872.12.80.0/2072.12.80.1 to 72.12.95.25472.12.95.2554,094
19972.12.96.0/2072.12.96.1 to 72.12.111.25472.12.111.2554,094
20072.12.112.0/2072.12.112.1 to 72.12.127.25472.12.127.2554,094
20172.12.128.0/2072.12.128.1 to 72.12.143.25472.12.143.2554,094
20272.12.144.0/2072.12.144.1 to 72.12.159.25472.12.159.2554,094
20372.12.160.0/2072.12.160.1 to 72.12.175.25472.12.175.2554,094
20472.12.176.0/2072.12.176.1 to 72.12.191.25472.12.191.2554,094
20572.12.192.0/2072.12.192.1 to 72.12.207.25472.12.207.2554,094
20672.12.208.0/2072.12.208.1 to 72.12.223.25472.12.223.2554,094
20772.12.224.0/2072.12.224.1 to 72.12.239.25472.12.239.2554,094
20872.12.240.0/2072.12.240.1 to 72.12.255.25472.12.255.2554,094
20972.13.0.0/2072.13.0.1 to 72.13.15.25472.13.15.2554,094
21072.13.16.0/2072.13.16.1 to 72.13.31.25472.13.31.2554,094
21172.13.32.0/2072.13.32.1 to 72.13.47.25472.13.47.2554,094
21272.13.48.0/2072.13.48.1 to 72.13.63.25472.13.63.2554,094
21372.13.64.0/2072.13.64.1 to 72.13.79.25472.13.79.2554,094
21472.13.80.0/2072.13.80.1 to 72.13.95.25472.13.95.2554,094
21572.13.96.0/2072.13.96.1 to 72.13.111.25472.13.111.2554,094
21672.13.112.0/2072.13.112.1 to 72.13.127.25472.13.127.2554,094
21772.13.128.0/2072.13.128.1 to 72.13.143.25472.13.143.2554,094
21872.13.144.0/2072.13.144.1 to 72.13.159.25472.13.159.2554,094
21972.13.160.0/2072.13.160.1 to 72.13.175.25472.13.175.2554,094
22072.13.176.0/2072.13.176.1 to 72.13.191.25472.13.191.2554,094
22172.13.192.0/2072.13.192.1 to 72.13.207.25472.13.207.2554,094
22272.13.208.0/2072.13.208.1 to 72.13.223.25472.13.223.2554,094
22372.13.224.0/2072.13.224.1 to 72.13.239.25472.13.239.2554,094
22472.13.240.0/2072.13.240.1 to 72.13.255.25472.13.255.2554,094
22572.14.0.0/2072.14.0.1 to 72.14.15.25472.14.15.2554,094
22672.14.16.0/2072.14.16.1 to 72.14.31.25472.14.31.2554,094
22772.14.32.0/2072.14.32.1 to 72.14.47.25472.14.47.2554,094
22872.14.48.0/2072.14.48.1 to 72.14.63.25472.14.63.2554,094
22972.14.64.0/2072.14.64.1 to 72.14.79.25472.14.79.2554,094
23072.14.80.0/2072.14.80.1 to 72.14.95.25472.14.95.2554,094
23172.14.96.0/2072.14.96.1 to 72.14.111.25472.14.111.2554,094
23272.14.112.0/2072.14.112.1 to 72.14.127.25472.14.127.2554,094
23372.14.128.0/2072.14.128.1 to 72.14.143.25472.14.143.2554,094
23472.14.144.0/2072.14.144.1 to 72.14.159.25472.14.159.2554,094
23572.14.160.0/2072.14.160.1 to 72.14.175.25472.14.175.2554,094
23672.14.176.0/2072.14.176.1 to 72.14.191.25472.14.191.2554,094
23772.14.192.0/2072.14.192.1 to 72.14.207.25472.14.207.2554,094
23872.14.208.0/2072.14.208.1 to 72.14.223.25472.14.223.2554,094
23972.14.224.0/2072.14.224.1 to 72.14.239.25472.14.239.2554,094
24072.14.240.0/2072.14.240.1 to 72.14.255.25472.14.255.2554,094
24172.15.0.0/2072.15.0.1 to 72.15.15.25472.15.15.2554,094
24272.15.16.0/2072.15.16.1 to 72.15.31.25472.15.31.2554,094
24372.15.32.0/2072.15.32.1 to 72.15.47.25472.15.47.2554,094
24472.15.48.0/2072.15.48.1 to 72.15.63.25472.15.63.2554,094
24572.15.64.0/2072.15.64.1 to 72.15.79.25472.15.79.2554,094
24672.15.80.0/2072.15.80.1 to 72.15.95.25472.15.95.2554,094
24772.15.96.0/2072.15.96.1 to 72.15.111.25472.15.111.2554,094
24872.15.112.0/2072.15.112.1 to 72.15.127.25472.15.127.2554,094
24972.15.128.0/2072.15.128.1 to 72.15.143.25472.15.143.2554,094
25072.15.144.0/2072.15.144.1 to 72.15.159.25472.15.159.2554,094
25172.15.160.0/2072.15.160.1 to 72.15.175.25472.15.175.2554,094
25272.15.176.0/2072.15.176.1 to 72.15.191.25472.15.191.2554,094
25372.15.192.0/2072.15.192.1 to 72.15.207.25472.15.207.2554,094
25472.15.208.0/2072.15.208.1 to 72.15.223.25472.15.223.2554,094
25572.15.224.0/2072.15.224.1 to 72.15.239.25472.15.239.2554,094
25672.15.240.0/2072.15.240.1 to 72.15.255.25472.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses